package com.javaair.entities;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the PASSENGER database table.
 * 
 */
@Entity
@Table(name="PASSENGER", schema="JAVAAIR")
@NamedQueries({@NamedQuery(name="Passenger.getAccountSequence", query ="SELECT passengers FROM Passenger passengers WHERE passengers.sid = (SELECT MAX(passengers.sid) FROM Passenger passengers)"),
	@NamedQuery(name="Passenger.getPassengerByAccount", query = "SELECT passengers FROM Passenger passengers WHERE passengers.accountNumber = :account")
	
})
public class Passenger implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name="PASSENGER_SID_GENERATOR", sequenceName="JAVAAIR.SEQ_PASSENGER", allocationSize = 1)
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="PASSENGER_SID_GENERATOR")
	@Column(unique=true, nullable=false)
	private int sid;

	@Column(name="ACCOUNT_NUMBER", nullable=false, length=50)
	private String accountNumber;

	@Column(nullable=false, length=50)
	private String lastname;

	@Column(nullable=false, length=50)
	private String name;

	//bi-directional many-to-one association to TicketSery
	@OneToMany(mappedBy="passengerBean")
	private List<TicketSerie> ticketSeries;

    public Passenger() {
    }

	public int getSid() {
		return this.sid;
	}

	public void setSid(int sid) {
		this.sid = sid;
	}

	public String getAccountNumber() {
		return this.accountNumber;
	}

	public void setAccountNumber(String accountNumber) {
		this.accountNumber = accountNumber;
	}

	public String getLastname() {
		return this.lastname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public List<TicketSerie> getTicketSeries() {
		return this.ticketSeries;
	}

	public void setTicketSeries(List<TicketSerie> ticketSeries) {
		this.ticketSeries = ticketSeries;
	}
	
}