package com.javaair.entities;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the PLANE database table.
 * 
 */
@Entity
@Table(name="PLANE", schema="JAVAAIR")
public class Plane implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name="PLANE_SID_GENERATOR", sequenceName="JAVAAIR.SEQ_PLANE", allocationSize = 1)
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="PLANE_SID_GENERATOR")
	@Column(unique=true, nullable=false)
	private int sid;

	@Column(name="PLANE_ID", nullable=false, length=50)
	private String planeId;

	@Column(name="PLANE_TYPE", nullable=false, length=50)
	private String planeType;

	@Column(name="SEAT_CAPACITY", nullable=false)
	private int seatCapacity;

	//bi-directional many-to-one association to Flight
	@OneToMany(mappedBy="planeBean")
	private List<Flight> flights;

	//bi-directional many-to-one association to Seat
	@OneToMany(mappedBy="planeBean")
	private List<Seat> seats;

    public Plane() {
    }

	public int getSid() {
		return this.sid;
	}

	public void setSid(int sid) {
		this.sid = sid;
	}

	public String getPlaneId() {
		return this.planeId;
	}

	public void setPlaneId(String planeId) {
		this.planeId = planeId;
	}

	public String getPlaneType() {
		return this.planeType;
	}

	public void setPlaneType(String planeType) {
		this.planeType = planeType;
	}

	public int getSeatCapacity() {
		return this.seatCapacity;
	}

	public void setSeatCapacity(int seatCapacity) {
		this.seatCapacity = seatCapacity;
	}

	public List<Flight> getFlights() {
		return this.flights;
	}

	public void setFlights(List<Flight> flights) {
		this.flights = flights;
	}
	
	public List<Seat> getSeats() {
		return this.seats;
	}

	public void setSeats(List<Seat> seats) {
		this.seats = seats;
	}
	
}