package com.javaair.entities;

import java.io.Serializable;
import javax.persistence.*;
import java.util.List;


/**
 * The persistent class for the ROUTE database table.
 * 
 */
@Entity
@Table(name="ROUTE", schema="JAVAAIR")
public class Route implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name="ROUTE_SID_GENERATOR", sequenceName="JAVAAIR.SEQ_ROUTE", allocationSize = 1)
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="ROUTE_SID_GENERATOR")
	@Column(unique=true, nullable=false)
	private int sid;

	@Column(name="ROUTE_ID", nullable=false, length=50)
	private String routeId;

	//bi-directional many-to-one association to Flight
	@OneToMany(mappedBy="routeBean")
	private List<Flight> flights;

	//bi-directional many-to-one association to Airport
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="DESTINATION", nullable=false)
	private Airport destination;

	//bi-directional many-to-one association to Airport
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="ORIGIN", nullable=false)
	private Airport origin;

    public Route() {
    }

	public int getSid() {
		return this.sid;
	}

	public void setSid(int sid) {
		this.sid = sid;
	}

	public String getRouteId() {
		return this.routeId;
	}

	public void setRouteId(String routeId) {
		this.routeId = routeId;
	}

	public List<Flight> getFlights() {
		return this.flights;
	}

	public void setFlights(List<Flight> flights) {
		this.flights = flights;
	}
	
	public Airport getAirport1() {
		return this.destination;
	}

	public void setAirport1(Airport airport1) {
		this.destination = airport1;
	}
	
	public Airport getAirport2() {
		return this.origin;
	}

	public void setAirport2(Airport airport2) {
		this.origin = airport2;
	}
	
}