package com.javaair.entities;

import java.io.Serializable;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;


/**
 * The persistent class for the SCHEDULE database table.
 * 
 */
@Entity
@Table(name="SCHEDULE", schema="JAVAAIR")
public class Schedule implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name="SCHEDULE_SID_GENERATOR", sequenceName="JAVAAIR.SEQ_SCHEDULE", allocationSize = 1)
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="SCHEDULE_SID_GENERATOR")
	@Column(unique=true, nullable=false)
	private int sid;

	@Column(name="ARRIVAL_TIME", nullable=false)
	private String arrivalTime;

	@Column(name="DEPARTURE_TIME", nullable=false)
	private String departureTime;

	@Column(name="SCHEDULE_ID", nullable=false, length=50)
	private String scheduleId;

	//bi-directional many-to-one association to Flight
	@OneToMany(mappedBy="scheduleBean")
	private List<Flight> flights;

    public Schedule() {
    }

	public int getSid() {
		return this.sid;
	}

	public void setSid(int sid) {
		this.sid = sid;
	}

	public String getArrivalTime() {
		return this.arrivalTime;
	}

	public void setArrivalTime(String arrivalTime) {
		this.arrivalTime = arrivalTime;
	}

	public String getDepartureTime() {
		return this.departureTime;
	}

	public void setDepartureTime(String departureTime) {
		this.departureTime = departureTime;
	}

	public String getScheduleId() {
		return this.scheduleId;
	}

	public void setScheduleId(String scheduleId) {
		this.scheduleId = scheduleId;
	}

	public List<Flight> getFlights() {
		return this.flights;
	}

	public void setFlights(List<Flight> flights) {
		this.flights = flights;
	}
	
}