package com.javaair.entities;

import java.io.Serializable;
import javax.persistence.*;

import java.util.List;


/**
 * The persistent class for the SEAT database table.
 * 
 */
@Entity
@Table(name="SEAT", schema="JAVAAIR")
//@NamedQueries({
//	@NamedQuery(name = "Seat.findSeatsByPlane", query = "Select seats FROM Seat seats JOIN FETCH seats.planeBean JOIN FETCH seats.planeBean.flights WHERE seats.planeBean.sid = :planeSid and seats.available = :availability")
//})
public class Seat implements Serializable {
	private static final long serialVersionUID = 1L;

	@Id
	@SequenceGenerator(name="SEAT_SID_GENERATOR", sequenceName="JAVAAIR.SEQ_SEAT", allocationSize = 1)
	@GeneratedValue(strategy=GenerationType.SEQUENCE, generator="SEAT_SID_GENERATOR")
	@Column(unique=true, nullable=false)
	private int sid;

	@Column(nullable=false)
	private boolean available;

	@Column(name="SEAT_ID", nullable=false, length=50)
	private String seatId;

	//bi-directional many-to-one association to Plane
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="PLANE", nullable=false)
	private Plane planeBean;

	//bi-directional many-to-one association to TicketUnit
	@OneToMany(mappedBy="seatBean")
	private List<TicketUnit> ticketUnits;

    public Seat() {
    }

	public int getSid() {
		return this.sid;
	}

	public void setSid(int sid) {
		this.sid = sid;
	}

	public boolean getAvailable() {
		return this.available;
	}

	public void setAvailable(boolean available) {
		this.available = available;
	}

	public String getSeatId() {
		return this.seatId;
	}

	public void setSeatId(String seatId) {
		this.seatId = seatId;
	}

	public Plane getPlaneBean() {
		return this.planeBean;
	}

	public void setPlaneBean(Plane planeBean) {
		this.planeBean = planeBean;
	}
	
	public List<TicketUnit> getTicketUnits() {
		return this.ticketUnits;
	}

	public void setTicketUnits(List<TicketUnit> ticketUnits) {
		this.ticketUnits = ticketUnits;
	}
	
}